@font-face {
  font-family: "unscii8";
  src: url(unscii-8.otf) format("opentype");
}

* {
  margin: 0;
  padding: 0;
  font-size: 100%;
  vertical-align: baseline;
  outline: none;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border-radius: none;
  font-family: 'unscii8', monospace;
}

body {
  /* position: fixed; */
  font-size: 0.7em;
}

/* #controls_header {
  height: 25px;
} */

#nav {
  display: flex;
  flex-flow: row nowrap;
  height: 20px;
}

/* .nav_item:hover .nav_dropdown {
  display: flex;
} */

.nav_title {
  padding: 0 5px;
}

.nav_dropdown {
  display: flex;
  /* display: none; */
  flex-flow: row nowrap;
  position: absolute;
  left: 0;
  width: 100%;
  background-color: white;
}

.nav_dropdown_column {
  display: flex;
  flex-flow: column nowrap;
  /* flex: 1 1 0px; */
  width: 25%;
}

#canvas_container {
  position: absolute;
  top: 20px;
  left: 0;
  z-index: -1;
}

#paint_controls {
  display: none;
  background-color: white;
  flex-flow: row wrap;
  width: 100%;
  height: auto;
  padding: 2px;
  z-index: 100;
}

.paint_controls_section {
  display: flex;
  flex-flow: column nowrap;
  padding: 2px;
  border: 2px solid grey;
  margin: -1px;
  background-color: white;
}

.controls {
  display: flex;
  flex-flow: row wrap;
}

.controller {
  border: 1px solid black;
  width: 20px;
  height: 20px;
}

input[type="radio"] {
  display: none;
}

input[type="radio"]:checked+label {
  border-bottom: 2px solid black;
}

input[type="button"] {
  border-radius: 0px;
  border: 1px solid black;
  margin: 5px;
  padding: 2px 5px;
  min-width: auto;
}

input[type="number"] {
  min-width: 100px;
}

.color_box {
  border: 1px solid black;
  width: 20px;
  height: 20px;
}

.hidden {
  display: none;
}